.menu-wrapper {
    width: 35px;
    height: 24px;
    cursor: pointer;
    padding: 10px;
    box-sizing: content-box;
    border: 1px solid #fff;
    border-radius: 5px;
    background-color: #45b6c0;
    position: relative;
    z-index: 3;
}

.hamburger-menu,
.hamburger-menu:after,
.hamburger-menu:before {
    width: 35px;
    height: 4px;
}

.hamburger-menu {
    position: relative;
    transform: translateY(10px);
    background: white;
    transition: all 0ms 300ms;
}

.menu-wrapper.animate .hamburger-menu {
    background: rgba(255, 255, 255, 0);
}

.hamburger-menu:before {
    content: "";
    position: absolute;
    left: 0;
    bottom: 10px;
    background: white;
    transition: bottom 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms cubic-bezier(0.23, 1, 0.32, 1);
}

.hamburger-menu:after {
    content: "";
    position: absolute;
    left: 0;
    top: 10px;
    background: white;
    transition: top 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms cubic-bezier(0.23, 1, 0.32, 1);
}

.menu-wrapper.animate .hamburger-menu:after {
    top: 0;
    transform: rotate(45deg);
    transition: top 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1);
}

.menu-wrapper.animate .hamburger-menu:before {
    bottom: 0;
    transform: rotate(-45deg);
    transition: bottom 300ms cubic-bezier(0.23, 1, 0.32, 1), transform 300ms 300ms cubic-bezier(0.23, 1, 0.32, 1);
}